﻿using Android.App;
using Android.OS;
using System.IO;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Android;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;

namespace Quickstart
{
    [Activity(Label = "QuickstartSample", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            SetContentView(Resource.Layout.Main);

            MapView mapView = FindViewById<MapView>(Resource.Id.MapView);
            mapView.MapUnit = GeographyUnit.Meter;

            var osm = new OpenStreetMapOverlay();

            osm.TileCache = new SqliteBitmapTileCache("/mnt/sdcard/testdata/default.db", "testId");
            osm.Opacity = 0.8;
            mapView.ExtentOverlay.DoubleTapMode = MapDoubleTapMode.Disabled;

            mapView.Overlays.Add("Countries02", osm);
            
            mapView.CurrentExtent = new RectangleShape(-20037508, 20037508, 20037508, -20037508);
        }
    }
}

